*,
*::before,
*::after {
  box-sizing: border-box;
}

:root {
  --primary-color-rgb: 36, 36, 36;
  --primary-color: rgb(var(--primary-color-rgb));
}

html {
  font-size: 0.625em;
}

body {
  font-family: "Montserrat";
  font-size: 1.6rem;
  line-height: 1.5;
  color: rgba(var(--primary-color-rgb), 0.88);
}

h1,
h2,
h3,
h4,
h5 {
  font-weight: bold;
  margin: 0.5em 0;
  color: var(--primary-color);
}

/* components */

/* button */

.button {
  --button-text-color: white;
  --button-background-color: var(--primary-color);

  display: inline-flex;
  gap: 1em;
  align-items: center;
  appearance: none;
  border: 0;
  line-height: inherit;
  text-decoration: none;
  border-radius: 2em;
  color: var(--button-text-color);
  background: var(--button-background-color);
  cursor: pointer;
  font-weight: normal;
  font-family: inherit;
  padding: 0.5em 1em;
  transition: background 0.16s linear;
  margin: 1em 0;
}

.button.small {
  font-size: 0.75em;
}

.button.icon {
  padding: 0.5em;
}

.button svg {
  display: block;
  width: 1em;
  height: 1em;
}

.button.icon svg {
  width: 1.25em;
  height: 1.25em;
}

.button.ghost {
  --button-text-color: var(--primary-color);
  --button-background-color: transparent;
}

.button:hover {
  --button-background-color: rgba(var(--primary-color-rgb), 0.8);
}
.button.ghost:hover {
  --button-text-color: var(--primary-color);
  --button-background-color: rgba(var(--primary-color-rgb), 0.08);
}

/* hero */

.hero {
  height: calc(100vh - 8rem);
  display: flex;
  align-items: stretch;
  width: 100%;
}

.hero__section {
  flex: 1 1 auto;
  width: 50%;
  position: relative;
}

.button_slider {
  position: absolute;
  background: none;
  border: none;
  z-index: 3;
  bottom: 50%;
  color: white;
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.images_slider {
  position: relative;
  z-index: 2;
  top: 0;
  right: 0;
}

.img-element {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  width: 100%;
  object-fit: cover;
  height: calc(100vh - 8rem);
}

.img-element.is-on {
  opacity: 1;
}

.images_hidden {
  position: absolute;
  z-index: -1;
  top: 0;
  right: 0;
}

#scroll {
  position: absolute;
  z-index: 3;
  bottom: 0;
  color: white;
  height: 32px;
  display: flex;
  justify-content: center;
  width: 100%;
}

#scroll img {
  height: 30px;
  width: 30px;
}

.hero__content {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1;
}

.hero__content::before {
  content: "";
  display: block;
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background: rgba(var(--primary-color-rgb), 0.04);
  transform-origin: 100% 0;
  transform: skewX(-20deg);
}

.hero__article {
  max-width: 60rem;
  width: calc(100% - 12em);
}

.hero__article-next-link {
  font-size: 1.25em;
  font-weight: bold;
  position: absolute;
  bottom: 2em;
  right: 2em;
}

.hero__article-next-link svg {
  width: 1em;
  height: 1em;
}
.hero__article-link {
  margin-top: 2em;
}

.hero__article-date {
  font-size: 0.75em;
  margin: 0;
}

.hero__article-title {
  font-size: 3em;
  line-height: 1.12;
  margin: 0.5em 0;
}

.hero__logo {
  position: absolute;
  top: 4em;
  left: 4em;
}

.hero__img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center top;
}

/* header */

.header {
  position: sticky;
  z-index: 2;
  top: 0;
  padding: 0.5em 2em;
  width: 100%;
  height: 8rem;
  display: flex;
  align-items: center;
  background: white;
  box-shadow: 0px -8px 80px rgba(var(--primary-color-rgb), 0.08);
}

.header h1 {
  font-size: 2em;
  font-weight: normal;
  margin: 0;
}

.header h1 a {
  height: 2em;
  padding: 0.5em 0;
}

.header h1 a,
.header h1 img {
  display: block;
}

.header__nav {
  margin-left: auto;
}

.header__nav ul {
  display: flex;
  align-items: center;
  gap: 1.5em;
  list-style-type: none;
}

.header__nav a {
  display: block;
}

/* page */

.page {
  margin: 5.5em auto;
  width: calc(100% - 4em);
  max-width: 102.4rem;
  display: flex;
  gap: 4em;
  align-items: stretch;
}

.page .articles {
  flex: 2 1 50%;
}

.page .aside {
  flex: 1 1 25%;
}

/* articles */

.list__article {
  margin-bottom: 4em;
}
.list__article-date {
  margin: 0;
}
.list__article-next-page {
  font-weight: bold;
  text-align: right;
}
.list__article-next-link {
  font-weight: bold;
}
.list__article-title {
  font-size: 2.5em;
  line-height: 1.12;
}
.list__article-link {
  margin-top: 1em;
}

/* aside */

.aside h1 {
  font-size: 1.5em;
  margin-top: 0;
}
/* prefooter */

.prefooter {
  background: linear-gradient(180deg, #f8f8f8 0%, #ffffff 100%);
  padding: 3em 0;
  display: flex;
  justify-content: center;
}

.prefooter .field {
  max-width: 30em;
  margin: 1em 0;
  width: 100%;
  text-align: left;
}

.field input {
  display: block;
  font: inherit;
  width: 100%;
  border-radius: 2em;
  padding: calc(0.75em - 2px) 1em;
  outline: none;
  border: 2px solid rgba(var(--primary-color-rgb), 0.16);
}
.field input:focus {
  border-color: var(--primary-color);
}

label {
  margin: 1em 0;
}

input[type="checkbox"] {
  margin-right: 1em;
}

.field span {
  font-size: 0.75em;
  padding-left: 1.75em;
}

.prefooter form {
  max-width: 40em;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

/* footer */

.footer {
  background: rgb(var(--primary-color-rgb));
  text-align: center;
  color: rgba(255, 255, 255, 0.64);
  font-size: 0.75em;
  padding: 1.25em 0;
}

.footer p {
  margin: 0;
}
